Summary: The daemon which starts the flushing of dirty buffers back to disk.
Name: bdflush
Version: 1.5
Release: 16
Copyright: Distributable
Group: System Environment/Daemons
Source: ftp://tsx-11.mit.edu/pub/linux/sources/system/v1.2/%{name}-%{version}.tar.gz
Patch: bdflush-1.5-axp.patch
Patch1: bdflush-1.5-glibc.patch
Patch2: bdflush-1.5-ia64.patch
Patch3: bdflush-1.5-limit.patch
Patch4: bdflush-1.5-errno.patch
Buildroot: %{_tmppath}/%{name}-root

%description
The bdflush process starts the kernel daemon which flushes dirty
buffers back to disk (i.e., writes all unwritten data to disk).
This helps to prevent the buffers from growing too stale.
Bdflush is a basic system process that must run for your system
to operate properly.

%prep
%setup -q

%patch -p1
%patch1 -p1 -b .glibc
%patch2 -p1 -b .bdflush
%patch3 -p1 -b .limit
%patch4 -p1 -b .errno

%build
make bdflush

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8

install -s -m 755 bdflush $RPM_BUILD_ROOT/sbin/update
install -m 644 bdflush.8 $RPM_BUILD_ROOT%{_mandir}/man8/bdflush.8
ln -sf bdflush.8 $RPM_BUILD_ROOT%{_mandir}/man8/update.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-,root,root) /sbin/update
%attr(-,root,root) %{_mandir}/*/*

%changelog
* Wed Mar 14 2001 Tim Powers <timp@redhat.com>
- fixed copyright
- include errno.h

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Than Ngo <than@redhat.de>
- FHS fixes
- rebuilt in the new build environment
- fix to built with glibc22

* Fri Feb 28 2000 Bill Nottingham <notting@redhat.com>
- fix for ia64

* Thu Feb 03 2000 Cristian Gafton <gafton@redhat.com>
- fix decsription and summary
- man pages are compressed
 
* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 10)

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- glibc 2.1

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- spec file cleanups
- uses a build root
- user %attr()

* Wed Sep 03 1997 Erik Troan <ewt@redhat.com>
- alpha patch should be applied on all architectures

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

